> For the complete documentation index, see [llms.txt](https://docs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akinon.com/technical-guides/oms/commands/shipment/ship-the-package-without-shipment-integration-command.md).

# Ship The Package without Shipment Integration Command

## <mark style="color:red;">Actors​</mark> <a href="#actors" id="actors"></a>

* Akinon Order Management System (OMS)

## <mark style="color:red;">Domain Objects​</mark> <a href="#domain-objects" id="domain-objects"></a>

* Packaging Order
* Omnitron Token
* User ID
* Command

### <mark style="color:red;">Process</mark>​ <a href="#process" id="process"></a>

1. After the order is packed, the OMS application notifies the shipping company. This command is used to update the relevant package to the Shipped status without shipment integration.
2. In state transitions, the package item status on Omnitron must be identical for completion. Otherwise, a transition error is triggered.
3. If no error is thrown after the command is run, the relevant packages and items will be moved to the Shipped status.

### <mark style="color:red;">Command Parameters and Prerequisites​</mark> <a href="#command-parameters-and-prerequisites" id="command-parameters-and-prerequisites"></a>

For each packaging order:

* Packaging Order ID (integer – dynamic for each order)
* Command Transition ID (integer prepared and reported during OMS installation)
* slug (string - unique for each state transition - Either slug or Command Transition ID is required)

If this command is run after a packaging order changes to the Packed Status, it will get a validation error, the prerequisite is considered complete for all packages that have passed to the Packed status (e.g. All items packed status).

***

### <mark style="color:red;">`POST`</mark> <mark style="color:red;">Ship The Package without Shipment Integration​</mark> <a href="#post-ship-the-package-without-shipment-integration" id="post-ship-the-package-without-shipment-integration"></a>

**Path:** `https://{customer_api_url}-oms.akinon.net/api/v1/oms/packages/{package_id}/command/`

* ***Package ID***: XXX
* ***Transition ID***: NNN (set after OMS installation)
* ***Slug***: SSS (Unique Slug Value)

**Request Body​**

```
    {
        "transition": NNN,
        "slug": SSS,
        "package": XXX
    }
```

**Successful Response​**

**Status Code:** `204 No Content`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akinon.com/technical-guides/oms/commands/shipment/ship-the-package-without-shipment-integration-command.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
